Issue1375

classification
Title: XML SAX: attrs.get((None, 'attr')) gives NPE
Type: behaviour Severity: normal
Components: Library Versions: 25rc4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: amak Nosy List: amak, lheuer
Priority: Keywords:

Created on 2009-06-14.18:46:05 by lheuer, last changed 2010-04-17.18:17:14 by amak.

Files
File name Uploaded Description Edit Remove
test_sax.py lheuer, 2009-06-14.18:46:04 Test which shows the NPE (under Jy, but not under Py)
drv_javasax.py lheuer, 2009-06-14.19:16:00 Fixes the NPE
Messages
msg4811 (view) Author: Lars Heuer (lheuer) Date: 2009-06-14.18:46:03
In CPython a user accesses the attributes with attrs.get((None, 'attr'))
if the namespace uri should be None. This does not work with Jython, the
SAX parsers expect attrs.get(('', 'attr')) for 'no namespace'
msg4812 (view) Author: Lars Heuer (lheuer) Date: 2009-06-14.19:16:00
The attached file fixes the NPE.
attrs.get(('', 'attr')) is still different from Python: Python would not
find the attribute while Jython returns the attribute value. See
test_sax.py for the differences
msg5732 (view) Author: Alan Kennedy (amak) Date: 2010-04-17.18:17:14
Fix checked in at revision 7032
History
Date User Action Args
2010-04-17 18:17:15amaksetstatus: open -> closed
assignee: amak
resolution: fixed
messages: + msg5732
nosy: + amak
2009-06-16 16:49:49lheuersetversions: + 25rc4
2009-06-14 19:16:01lheuersetfiles: + drv_javasax.py
messages: + msg4812
2009-06-14 18:46:05lheuercreate